from PyQt4 import QtGui, QtCore

class LoginDialog(QtGui.QDialog):
    def __init__(self, win_parent = None):
        QtGui.QDialog.__init__(self, win_parent)
        self.setWindowTitle('Login Dialog')
        
        mainLayout = QtGui.QVBoxLayout()
        
        loginButton = QtGui.QPushButton("Login")
        cancelButton = QtGui.QPushButton("Cancel")
        
        buttonBox = QtGui.QDialogButtonBox()
        buttonBox.addButton(loginButton, QtGui.QDialogButtonBox.AcceptRole)
        buttonBox.addButton(cancelButton, QtGui.QDialogButtonBox.RejectRole)
        buttonBox.accepted.connect(self.accept)
        buttonBox.rejected.connect(self.reject)

        mainLayout.addWidget(buttonBox, 0, QtCore.Qt.AlignCenter)
        
        self.setLayout(mainLayout)